# mpk-remove - Uninstall packages.
# Copyright (C) 2008,2010 Cesar Strauss
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.

remove()
{
  : ${top_srcdir:=$name-$version}

  pkg_builddir=$builddir/$name-$version-$release/$top_srcdir

  if [ ! -d $pkg_builddir ]; then
    echo >&2 "$(basename $0) remove: Could not find the build location of $pkg."
    fail
  fi
  
  cd $pkg_builddir
  
  if [ ! -f Makefile ]; then
    echo >&2 "$(basename $0) remove: $pkg not build yet."
  fi
  
  (make uninstall > ../logs/remove.log) || fail
}

fail()
{
  echo
  echo "================="
  echo "Removal failed."
  echo "================="
  exit 1
}

if [ -z "$1" ]; then
  echo "Usage: $(basename $0) remove package-name"
  exit 1
fi
pkg=$1

if [ -z "$pkg" ]; then
  echo "Usage: $(basename $0) remove package-name ..."
  exit 1
fi

recipe=$(get_recipe_name $pkg) || exit 1

. $recipe

remove
